// Borrowed from Schiffman's Nature of Code random walk

// Where will be put each point?
float x;
float y;

void setup() {
  size(800, 800);
  
  // Start in the middle of the sketch
  x = width/2;
  y = height/2;
}

void draw() {
  // We don't want a background for this one!
  //background(255);
  
  // Move our points up to 10 pixels to the right or left
  x += random(-10,10);
  // 10 pixels up or down
  y += random(-10,10);
  
  // If it goes over the edge horinzontally, move it back to the center
  if (x > width || x < 0) {
    x = width/2;
  }
  
  // If it goes over the edge vertically, move it back to the center
  if (y > height || y < 0) {
    y = height/2;
  }
  
  // Random point size
  strokeWeight(random(1,6));
  // Random dark grey color
  stroke(random(127));
  // Random walk!
  point(x, y);
}
